> For the complete documentation index, see [llms.txt](https://integrations.impact.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://integrations.impact.com/brand-api-reference/reference/exception-lists/exception-lists.md).

# Exception Lists

## List Exception Lists

> Returns a list of your exception lists, which can be filtered by campaign, state, or type.

```json
{"openapi":"3.1.0","info":{"title":"Brand API - Exception Lists","version":"v14"},"servers":[{"url":"https://api.impact.com"}],"security":[{"basicAuth":[]}],"components":{"securitySchemes":{"basicAuth":{"type":"http","scheme":"basic","description":"Use your AccountSID as the username and AuthToken as the password."}},"schemas":{"ExceptionList":{"type":"object","properties":{"Id":{"type":"integer","description":"The unique identifier for the exception list."},"Name":{"type":"string","description":"The display name for the exception list."},"State":{"type":"string","description":"The current state of the exception list.","enum":["ACTIVE","CLOSED","DEACTIVATED"]},"CampaignId":{"type":"integer","description":"The program ID the list applies to."},"Type":{"type":"string","description":"Whether the list applies to CATEGORY or SKU.","enum":["CATEGORY","SKU"]},"CreatedDate":{"type":"string","format":"date-time","description":"The date and time the list was created."},"DeactivationDate":{"type":"string","format":"date-time","nullable":true,"description":"The date and time the list was deactivated, if applicable."},"ActionTrackers":{"type":"array","description":"The action trackers (event types) this list applies to.","items":{"type":"object","properties":{"Id":{"type":"integer","description":"The unique identifier for the action tracker."},"Name":{"type":"string","description":"The display name of the action tracker."}}}},"NumberOfItems":{"type":"integer","description":"The total number of items in the list."},"ItemsUri":{"type":"string","format":"uri-reference","description":"The unique reference to the items collection for this list."},"Uri":{"type":"string","format":"uri-reference","description":"The unique reference to this exception list in the impact.com API."}}}}},"paths":{"/Advertisers/{AccountSID}/ExceptionLists":{"get":{"summary":"List Exception Lists","description":"Returns a list of your exception lists, which can be filtered by campaign, state, or type.","operationId":"listExceptionLists","tags":["Exception Lists"],"parameters":[{"name":"AccountSID","in":"path","required":true,"schema":{"type":"string"}},{"name":"CampaignId","in":"query","description":"Filter by the program ID the list applies to.","schema":{"type":"integer"}},{"name":"State","in":"query","description":"Filter lists by their current state.","schema":{"type":"string","enum":["ACTIVE","CLOSED","DEACTIVATED"]}},{"name":"Type","in":"query","description":"Filter lists by whether they apply to CATEGORY or SKU.","schema":{"type":"string","enum":["CATEGORY","SKU"]}}],"responses":{"200":{"description":"A paginated list of exception list objects.","content":{"application/json":{"schema":{"type":"object","properties":{"ExceptionLists":{"type":"array","description":"The list of exception list objects.","items":{"$ref":"#/components/schemas/ExceptionList"}}}}}}}}}}}}
```

## Create an Exception List

> Creates a new, empty exception list for a specific campaign and type.

```json
{"openapi":"3.1.0","info":{"title":"Brand API - Exception Lists","version":"v14"},"servers":[{"url":"https://api.impact.com"}],"security":[{"basicAuth":[]}],"components":{"securitySchemes":{"basicAuth":{"type":"http","scheme":"basic","description":"Use your AccountSID as the username and AuthToken as the password."}},"schemas":{"ExceptionListCreate":{"type":"object","required":["ActionTrackerId","CampaignId","Name","Type"],"properties":{"ActionTrackerId":{"type":"string","description":"Comma-separated list of event type IDs."},"CampaignId":{"type":"integer","description":"The program ID the list applies to."},"Name":{"type":"string","description":"The display name for the exception list."},"Type":{"type":"string","description":"Whether this list applies to CATEGORY or SKU.","enum":["CATEGORY","SKU"]}}},"SuccessUriResponse":{"type":"object","properties":{"Status":{"type":"string","description":"Indicates whether the operation was successful."},"Uri":{"type":"string","format":"uri-reference","description":"The unique reference to the affected resource."}}}}},"paths":{"/Advertisers/{AccountSID}/ExceptionLists":{"post":{"summary":"Create an Exception List","description":"Creates a new, empty exception list for a specific campaign and type.","operationId":"createExceptionList","tags":["Exception Lists"],"parameters":[{"name":"AccountSID","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"required":true,"content":{"application/x-www-form-urlencoded":{"schema":{"$ref":"#/components/schemas/ExceptionListCreate"}}}},"responses":{"200":{"description":"The request was successful.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/SuccessUriResponse"}}}}}}}}}
```

## Get Exception List Details

> Retrieves the details of an existing exception list by its unique ID.

```json
{"openapi":"3.1.0","info":{"title":"Brand API - Exception Lists","version":"v14"},"servers":[{"url":"https://api.impact.com"}],"security":[{"basicAuth":[]}],"components":{"securitySchemes":{"basicAuth":{"type":"http","scheme":"basic","description":"Use your AccountSID as the username and AuthToken as the password."}},"schemas":{"ExceptionList":{"type":"object","properties":{"Id":{"type":"integer","description":"The unique identifier for the exception list."},"Name":{"type":"string","description":"The display name for the exception list."},"State":{"type":"string","description":"The current state of the exception list.","enum":["ACTIVE","CLOSED","DEACTIVATED"]},"CampaignId":{"type":"integer","description":"The program ID the list applies to."},"Type":{"type":"string","description":"Whether the list applies to CATEGORY or SKU.","enum":["CATEGORY","SKU"]},"CreatedDate":{"type":"string","format":"date-time","description":"The date and time the list was created."},"DeactivationDate":{"type":"string","format":"date-time","nullable":true,"description":"The date and time the list was deactivated, if applicable."},"ActionTrackers":{"type":"array","description":"The action trackers (event types) this list applies to.","items":{"type":"object","properties":{"Id":{"type":"integer","description":"The unique identifier for the action tracker."},"Name":{"type":"string","description":"The display name of the action tracker."}}}},"NumberOfItems":{"type":"integer","description":"The total number of items in the list."},"ItemsUri":{"type":"string","format":"uri-reference","description":"The unique reference to the items collection for this list."},"Uri":{"type":"string","format":"uri-reference","description":"The unique reference to this exception list in the impact.com API."}}}}},"paths":{"/Advertisers/{AccountSID}/ExceptionLists/{ExceptionListId}":{"get":{"summary":"Get Exception List Details","description":"Retrieves the details of an existing exception list by its unique ID.","operationId":"getExceptionListById","tags":["Exception Lists"],"parameters":[{"name":"AccountSID","in":"path","required":true,"schema":{"type":"string"}},{"name":"ExceptionListId","in":"path","required":true,"description":"The unique identifier for the exception list.","schema":{"type":"integer"}}],"responses":{"200":{"description":"A single exception list object.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ExceptionList"}}}}}}}}}
```

## Update an Exception List

> Updates the specified exception list's name, type, or associated action trackers.

```json
{"openapi":"3.1.0","info":{"title":"Brand API - Exception Lists","version":"v14"},"servers":[{"url":"https://api.impact.com"}],"security":[{"basicAuth":[]}],"components":{"securitySchemes":{"basicAuth":{"type":"http","scheme":"basic","description":"Use your AccountSID as the username and AuthToken as the password."}},"schemas":{"ExceptionListUpdate":{"type":"object","properties":{"ActionTrackerId":{"type":"string","description":"Comma-separated list of event type IDs."},"Name":{"type":"string","description":"The display name for the exception list."},"Type":{"type":"string","description":"Whether this list applies to CATEGORY or SKU.","enum":["CATEGORY","SKU"]}}},"SuccessUriResponse":{"type":"object","properties":{"Status":{"type":"string","description":"Indicates whether the operation was successful."},"Uri":{"type":"string","format":"uri-reference","description":"The unique reference to the affected resource."}}}}},"paths":{"/Advertisers/{AccountSID}/ExceptionLists/{ExceptionListId}":{"put":{"summary":"Update an Exception List","description":"Updates the specified exception list's name, type, or associated action trackers.","operationId":"updateExceptionList","tags":["Exception Lists"],"parameters":[{"name":"AccountSID","in":"path","required":true,"schema":{"type":"string"}},{"name":"ExceptionListId","in":"path","required":true,"description":"The unique identifier for the exception list to update.","schema":{"type":"integer"}}],"requestBody":{"content":{"application/x-www-form-urlencoded":{"schema":{"$ref":"#/components/schemas/ExceptionListUpdate"}}}},"responses":{"200":{"description":"The request was successful.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/SuccessUriResponse"}}}}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://integrations.impact.com/brand-api-reference/reference/exception-lists/exception-lists.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
